EDIT - feature request #6278
bug # 6069 (Closed): DataPortal for Registry

add sec reference as class attribute to all taxon markup
12/13/2016 04:23 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.5

Severity: major

Description

This is needed to be able to style the taxa related to a specific scref differently. The taxa with the 'phycobank’ secRef should be
styled with grey font color.

Related issues:
Related to PhycoBank - task #6277: use nomenclatural reference as sec. refere... Closed

Associated revisions

Revision 4b3be949 - 12/15/2016 05:32 PM - Andreas Kohlbecker

fix #6278 sec uuid and taxon uuid as class attribute to all taxon and taxon node markup

History

#1 - 12/13/2016 04:23 PM - Andreas Kohlbecker
- Tracker changed from bug to feature request

- Project changed from PhycoBank to EDIT

- Category set to cdm-dataportal

- Priority changed from New to Highest

- Target version set to Release 4.5

- Severity set to major

#2 - 12/15/2016 04:46 PM - Andreas Kohlbecker
- Tags set to phycobank

#3 - 12/15/2016 05:32 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|4b3be949345d1350fc13ff2e39a908f3c2e84a77.

#4 - 12/15/2016 05:34 PM - Andreas Kohlbecker

implemented!
The taxa with the phycobank sec reference can be styled with the following css (for test database):

/* all taxa with sec referene phycobank in grey */
.sec_uuid\:1lad5bde3-£753-498b-8430-e09980ale2c5,

.block .sec_uuid\:lad5bde3-f753-498b-8430-e09980ale2c5 a:link,

.block .sec_uuid\:1lad5bde3-£753-498b-8430-e09980ale2c5 a:visited,

.block .sec_uuid\:1lad5bde3-f753-498b-8430-e09980ale2c5 .node a:link,
.block .sec_uuid\:lad5bde3-f753-498b-8430-e09980ale2c5 .node a:visited {
color: #bbb !important;

#5 - 01/17/2017 02:27 PM - Andreas Kohlbecker

- Related to task #6277: use nomenclatural reference as sec. references instead of IAPT added
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/4b3be949345d1350fc13ff2e39a908f3c2e84a77

#6 - 01/19/2017 04:01 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
